Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatEventAccentColorChanged

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEventAction
it.tdlight.jni.TdApi.ChatEventAccentColorChanged

Enclosing class:
  TdApi

public static final class TdApi.ChatEventAccentColorChanged extends TdApi.ChatEventAction
The chat accent color or background custom emoji were changed.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`newAccentColorId`
New identifier of chat accent color.
`long`
`newBackgroundCustomEmojiId`
New identifier of the custom emoji; 0 if none.
`int`
`oldAccentColorId`
Previous identifier of chat accent color.
`long`
`oldBackgroundCustomEmojiId`
Previous identifier of the custom emoji; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`ChatEventAccentColorChanged()`
The chat accent color or background custom emoji were changed.
`ChatEventAccentColorChanged(int oldAccentColorId, long oldBackgroundCustomEmojiId, int newAccentColorId, long newBackgroundCustomEmojiId)`
The chat accent color or background custom emoji were changed.
`ChatEventAccentColorChanged(DataInput input)`
The chat accent color or background custom emoji were changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldAccentColorId

public int oldAccentColorId
Previous identifier of chat accent color.

### oldBackgroundCustomEmojiId

public long oldBackgroundCustomEmojiId
Previous identifier of the custom emoji; 0 if none.

### newAccentColorId

public int newAccentColorId
New identifier of chat accent color.

### newBackgroundCustomEmojiId

public long newBackgroundCustomEmojiId
New identifier of the custom emoji; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatEventAccentColorChanged

public ChatEventAccentColorChanged()
The chat accent color or background custom emoji were changed.

### ChatEventAccentColorChanged

public ChatEventAccentColorChanged(int oldAccentColorId, long oldBackgroundCustomEmojiId, int newAccentColorId, long newBackgroundCustomEmojiId)
The chat accent color or background custom emoji were changed.

Parameters:
  `oldAccentColorId` - Previous identifier of chat accent color.
  `oldBackgroundCustomEmojiId` - Previous identifier of the custom emoji; 0 if none.
  `newAccentColorId` - New identifier of chat accent color.
  `newBackgroundCustomEmojiId` - New identifier of the custom emoji; 0 if none.

### ChatEventAccentColorChanged

public ChatEventAccentColorChanged(DataInput input) throws IOException
The chat accent color or background custom emoji were changed.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`